static int lastUsedCharacterID = 0;

abstract class GameCharacter {
  int characterID;
  int posX;        //tile-coordinates
  int posY;

  GameCharacter() {
    characterID = lastUsedCharacterID++;
  }

  abstract void draw();    

  // redraws background color, so characters don't leave a trail
  void redrawBG(int x, int y) {
    fill(grm.world.bg);
    rectMode(CORNER);
    rect(x-0.02, y-0.02, 1.04, 1.04);
  }
}
