class GameTutorialMode extends GameMode {

  PImage tutorial;
  
  //Shows Tutorial Screen
  public GameTutorialMode(Game game, ControlP5 cp5, UI ui) {
    super(game, cp5, ui);
    ModeName = "GameTutorialMode";
    tutorial = loadImage("screens/tutorial_01.png");
  }


  void start(boolean fromLevel2) {
    ui.updateUI();
  }

  void drawGame() {
    background(0);
    image(tutorial, 0, 0);
    Stars();
    
  }

  public void Stars() {
    randomSeed(1337);
    for (int star = 0; star < 1500; star++) {
      float h = noise(frameCount / 30.3f + star) * 255;
      point(random(0, width), random(0, height));
      stroke(h);
    }
  }
}
