class GameWonMode extends GameMode {

  PImage wonModeImage;

  public GameWonMode(Game game, ControlP5 cp5, UI ui) {
    super(game, cp5, ui);
    ModeName = "GameWonMode";

    MainGame = game;
    wonModeImage = loadImage("screens/screen_won_01.png");
  }


  void start(boolean _fromLevel2) {
    ui.updateUI();
    fromLevel2 = _fromLevel2;
  }

  void drawGame() {
    background(0);
    Stars();
    image(wonModeImage, 0, 0);
  }


  public void Stars() {
    randomSeed(1337);
    for (int star = 0; star < 1500; star++) {
      float h = noise(frameCount / 30.3f + star) * 255;
      point(random(0, width), random(0, height));
      stroke(h);
    }
  }
}

boolean fromLevel2; //shows wich Level is won to actived Credits after the final level

public void Back() {
  if (fromLevel2 == false) {
    MainGame.currentGameMode = MainGame.homeMode;
    MainGame.currentGameMode.start(false);
  } else {
    MainGame.currentGameMode = MainGame.gcm;
    MainGame.currentGameMode.start(false);
  }
}
