boolean whichCreditsPage = false;

class GameCreditsMode extends GameMode {

  PImage credits1;
  PImage credits2;

  public GameCreditsMode(Game game, ControlP5 cp5, UI ui) {
    super(game, cp5, ui);
    ModeName = "GameCreditsMode";
    credits1 = loadImage("screens/credits_01.png");
    credits2 = loadImage("screens/credits_02.png");
  }


  void start(boolean fromLevel2) {
    ui.updateUI();
    whichCreditsPage = false;
    if (whichCreditsPage) {
      page2Button.setImage(page2ButtonImage);
    } else {
      page2Button.setImage(page1ButtonImage);
    }
  }

  void drawGame() {
    background(0);
    if (whichCreditsPage) {
      image(credits2, 0, 0);
    } else {
      image(credits1, 0, 0);
    }
    Stars();
  }

  public void Stars() {
    randomSeed(1337);
    for (int star = 0; star < 1500; star++) {
      float h = noise(frameCount / 30.3f + star) * 255;
      point(random(0, width), random(0, height));
      stroke(h);
    }
  }
}

public void Menu() {
  MainGame.currentGameMode = MainGame.homeMode;
  MainGame.currentGameMode.start(false);
}

public void CreditsToggel() {
  whichCreditsPage = !whichCreditsPage;
  if (whichCreditsPage) {
    page2Button.setImage(page2ButtonImage);
  } else {
    page2Button.setImage(page1ButtonImage);
  }
}
