class GameLostMode extends GameMode {

  PImage lostModeImage;

  public GameLostMode(Game game, ControlP5 cp5, UI ui) {
    super(game, cp5, ui);
    ModeName = "GameLostMode";
    MainGame = game;
    lostModeImage = loadImage("screens/screen_lost_01.png");
  }

  void start(boolean fromLevel2) {
    ui.updateUI();
    rectMode(CORNER);
    fill(0, 150);
    rect(0, 0, width, height);
  }

  void drawGame() {
    image(lostModeImage, 0, 0);
  }

  public void Stars() {
    randomSeed(1337);
    for (int star = 0; star < 1500; star++) {
      float h = noise(frameCount / 30.3f + star) * 255;
      point(random(0, width), random(0, height));
      stroke(h);
    }
  }
}

void showButton() {
}

void TryAgain() {
  MainGame.currentGameMode = MainGame.homeMode;
  MainGame.currentGameMode.start(false);
}
