// collectible

class UfoPiece extends InteractiveWorldObject {
  PImage imgUfoPiece;
  String whichGround;
  AudioPlayer noise;

  UfoPiece(int _x, int _y) {
    imgUfoPiece = loadImage("assets/ufopiece_01.png");
    noise = minim.loadFile("sound/zapsplat_industrial_thick_plastic_pack_of_metal_bolts_pick_up_002_53582.mp3");
    x = _x;
    y = _y;
    walkable = true;
  }
  //---------------------------------------------------------

  void draw() {
    imageMode(CORNER);
    image(imgUfoPiece, x, y, 1, 1);
  }
  //---------------------------------------------------------

  void act() {
    grm.addUfoPiece();
    this.noise.rewind();
    this.noise.play();

    // replace this object with ground
    for (int i = -1; i <= 1; i++) {
      for (int j = -1; j <= 1; j++) {
        if (x+i<0 || x+i>=NUM_TILES_X|| y+j<0 || y+j>=NUM_TILES_Y) {
          // skip when OOB
        } else {
          if ((wObjectsInLevel[x+i][y+j]) instanceof Ground) {
            whichGround = wObjectsInLevel[x+i][y+j].whichObject;
          }
        }
      }
    }
    wObjectsInLevel[this.x][this.y] = new Ground(this.x, this.y, this.whichGround);
  }
}
